petsc-3.4.2 2013-07-02

# VecSetLayout

set PetscLayout describing vector layout

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetLayout(Vec x,PetscLayout map)

Not Collective

### Input Arguments

| x | - the vector
| map | - the layout

### Notes

It is normally only valid to replace the layout with a layout known to be equivalent.

### See Also

VecGetLayout(), VecGetSizes(), VecGetOwnershipRange(), VecGetOwnershipRanges()

Level:developer
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages